This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989096 - [abrt] system-config-printer-libs-1.4.1-8.fc19: jobviewer.py:692:toggle_window_display:AttributeError: 'gtk.gdk.X11Window' object has no attribute 'property_change'
[abrt] system-config-printer-libs-1.4.1-8.fc19: jobviewer.py:692:toggle_windo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:52287184249993ddf1e532cc85e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 10:22 EDT by GeoffLeach
Modified: 2013-08-25 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-25 18:56:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (840 bytes, text/plain)
2013-07-27 10:22 EDT, GeoffLeach
no flags Details
File: environ (643 bytes, text/plain)
2013-07-27 10:23 EDT, GeoffLeach
no flags Details

  None (edit)
Description GeoffLeach 2013-07-27 10:22:52 EDT
Version-Release number of selected component:
system-config-printer-libs-1.4.1-8.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
core_backtrace: 795ab4e731946f6cecb8c350d550d3d3ff52b1a0 0x2b4 toggle_window_display /usr/share/system-config-printer/jobviewer.py -
executable:     /usr/share/system-config-printer/scp-dbus-service.py
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
jobviewer.py:692:toggle_window_display:AttributeError: 'gtk.gdk.X11Window' object has no attribute 'property_change'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 692, in toggle_window_display
    w.property_change ("_NET_WM_ICON_GEOMETRY",
AttributeError: 'gtk.gdk.X11Window' object has no attribute 'property_change'

Local variables in innermost frame:
loc: True
aw: None
area: <CairoRectangleInt at 0x2a116a0>
self: <JobViewer object at 0x271e1e0 (jobviewer+JobViewer at 0x2112320)>
o: <enum GTK_ORIENTATION_HORIZONTAL of type GtkOrientation>
visible: True
s: <gtk.gdk.X11Screen object at 0x29e3050 (GdkX11Screen at 0x21000c0)>
force_show: False
w: <gtk.gdk.X11Window object at 0x271e960 (GdkX11Window at 0x298c600)>
icon: <StatusIcon object at 0x29c4140 (GtkStatusIcon at 0x2a37680)>
Comment 1 GeoffLeach 2013-07-27 10:22:58 EDT
Created attachment 779089 [details]
File: backtrace
Comment 2 GeoffLeach 2013-07-27 10:23:03 EDT
Created attachment 779090 [details]
File: environ
Comment 3 Tim Waugh 2013-08-06 11:53:05 EDT
Fixed upstream in commit a0a5852.
Comment 4 Fedora Update System 2013-08-21 12:22:50 EDT
system-config-printer-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.2-1.fc19
Comment 5 Fedora Update System 2013-08-22 20:45:22 EDT
Package system-config-printer-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15201/system-config-printer-1.4.2-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-25 18:56:26 EDT
system-config-printer-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.